ilch Forum » Ilch CMS 2.x » Fehlersuche und Probleme » Installation nicht möglich (Unexpected)

Geschlossen
  1. #1
    User Pic
    Swamp Mitglied
    Registriert seit
    02.02.2006
    Beiträge
    2.095
    Beitragswertungen
    19 Beitragspunkte
    Hallo zusammen,

    ich wollte Ilch2 gerne testen, komme aber leider nicht einmal zur Installation.
    Anleitung bin ich gefolgt: redmine.ilch2.de/projects/dev2/wiki/Install

    Nach dem Hochladen habe ich im FireFox eine weiße Seite und im IE werden mir Fehler angezeigt:



    Im Dreamweaver wird mir die Zeile 42 als rot (Fehlerhaft) markiert:
    $loader = new \Ilch\Loader();


    PHP Version: 5.6

    Hab ich was vergessen? Normalerweise müsste doch ein Installationsfenster angzeigt werden?
    Danke vorab,
    VG, Swamp


    verwendete ilch Version: 2.0 (alpha)

    betroffene Homepage: ilch2test.little-community.de/


    Zuletzt modifiziert von Swamp am 06.11.2016 - 21:27:45
    Wer zuletzt lacht, hat den schlechtesten Ping.
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    corian Entwickler
    Registriert seit
    16.06.2011
    Beiträge
    846
    Beitragswertungen
    76 Beitragspunkte
    PHP Version kann nicht stimmen....
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.254
    Beitragswertungen
    366 Beitragspunkte
    Naja der Download in dem Wiki Link zeigt noch auf das GitHub master.zip Archiv. Das funktioniert allerdings nicht mehr.

    Du müsstest es von www.ilch.de/ilch2/versions/master.zip herunterladen.

    Ich werde den Link in der Wiki jetzt anpassen.
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    Swamp Mitglied
    Registriert seit
    02.02.2006
    Beiträge
    2.095
    Beitragswertungen
    19 Beitragspunkte
    *** EDIT ***
    @Mairu: ...danke! Da ist der Ordner natürlich vorhanden. glücklich
    @corian: Danke für deine schnelle Antwort!
    Ich teste das gleich nochmal.
    *** EDIT ***

    Ach man, ich hatte das Gefühl irgendwas muss da sein. Für die Subdomain war noch kein PHP aktiv.
    Nun is die 5.6 aktiv

    Allerdings fehlt mir nun ein "vendor" Verzeichnis welches im ZIP aber nicht enthalten ist?

    Warning: require(/.../hp/ilch2test/vendor/autoload.php): failed to open stream: No such file or directory in /.../hp/ilch2test/index.php on line 41
    
    Fatal error: require(): Failed opening required '/.../hp/ilch2test/vendor/autoload.php' (include_path='.:/usr/lib/php5.6') in /.../hp/ilch2test/index.php on line 41




    Zuletzt modifiziert von Swamp am 06.11.2016 - 22:00:50
    Wer zuletzt lacht, hat den schlechtesten Ping.
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    Siggi Entwickler
    Registriert seit
    08.02.2007
    Beiträge
    6.372
    Beitragswertungen
    298 Beitragspunkte
    Hast es von der Startseite hier geladen?
    Wie poste ich falsch?
    Fahrschulplaner.info digitialisiert die Fahrstunden Ihrer Farhschul
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    Swamp Mitglied
    Registriert seit
    02.02.2006
    Beiträge
    2.095
    Beitragswertungen
    19 Beitragspunkte
    Ich kam auf den GitHub-Artikel und habe es von dort heruntergeladen. zwinker Nun kann ich den Installations-Wizard starten. Was mir aber aufällt:

    FireFox 49.0.2:
    ilch2test.little-community.de/defaultsite
    - erhalte ich eine weiße Seite. Ich muss auf /index.php ändern damit ich die Installation angezeigt bekomme.

    InternetExplorer 11.321:
    - erhalte ich sofort den Installations-Wizard. Aber unter Lizenz bekomme ich ein "Verbot-Zeichen" und kann nicht scrollen. (als Info, auf Weiter etc. kann ich klicken.)

    Zu den Browser Einstellungen:
    Windows sowie FireFox sind so gut wie neu. D.h. keine speziellen Änderungen vorhanden. Also wie neu installiert. lächeln

    Danke euch!
    Zuletzt modifiziert von Swamp am 06.11.2016 - 22:20:12
    Wer zuletzt lacht, hat den schlechtesten Ping.
    0 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    Swamp Mitglied
    Registriert seit
    02.02.2006
    Beiträge
    2.095
    Beitragswertungen
    19 Beitragspunkte
    Hi again,

    nach Eingabe aller erforderlichen Felder wurde die Installation mit einem Fehler ausgegeben:
    Fatal error: Uncaught Error: Class '\Layouts\Clan3columns\config\Config' not found in /.../hp/ilch2test/application/libraries/Ilch/Controller/Frontend.php:28 Stack trace: #0 /.../hp/ilch2test/application/libraries/Ilch/Page.php(234): Ilch\Controller\Frontend->__construct(Object(Ilch\Layout\Frontend), Object(Ilch\View), Object(Ilch\Request), Object(Ilch\Router), Object(Ilch\Translator)) #1 /.../hp/ilch2test/application/libraries/Ilch/Page.php(134): Ilch\Page->loadController() #2 /.../hp/ilch2test/index.php(53): Ilch\Page->loadPage() #3 {main} thrown in /.../hp/ilch2test/application/libraries/Ilch/Controller/Frontend.php on line 28

    Die config.php ist im Verzeichnis vorhanden:
    /application/layouts/clan3columns/config

    Die Datenbankeinträge wurden erstellt.

    Muss ich die Installation erneut ausführen?
    vor der Installation habe ich die PHP Version zum Test auf 7 erhöht, da Ilch laut News mit PHP 7 kompatibel ist.

    Danke und Gruß
    Swamp


    Zuletzt modifiziert von Swamp am 06.11.2016 - 23:25:14
    Wer zuletzt lacht, hat den schlechtesten Ping.
    0 Mitglieder finden den Beitrag gut.
  8. #8
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.254
    Beitragswertungen
    366 Beitragspunkte
    Ich hab gestern was geändert, könnte daran liegen.
    Kannst du bitte mal testen, ob es funktioniert, wenn du application\libraries\Ilch\Controller\Frontend.php in Zeile 27 das 1. config mal auch groß schreibst?

    Edit: Ich kann den Fehler bisher nicht nachstellen, bei mir funktioniert es unter Windows und Linux (PHP5 und PHP7).


    Zuletzt modifiziert von Mairu am 07.11.2016 - 09:04:06
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    0 Mitglieder finden den Beitrag gut.
  9. #9
    User Pic
    Swamp Mitglied
    Registriert seit
    02.02.2006
    Beiträge
    2.095
    Beitragswertungen
    19 Beitragspunkte
    Hallo Mairu,

    ich habe es getestet.
    vorher:
    $configClass = '\\Layouts\\'.ucfirst(basename($layoutKey)).'\\config\\Config';
    nachher:
    $configClass = '\\Layouts\\'.ucfirst(basename($layoutKey)).'\\Config\Config';

    und siehe da...ich habe nochmal die URL mit dem "...finish" aufgerufen und konnte mein Frontend sowie den Adminbereich laden:
    Ilch CMS wurde erfolgreich installiert!


    Danke!


    Zuletzt modifiziert von Swamp am 07.11.2016 - 15:21:58
    Wer zuletzt lacht, hat den schlechtesten Ping.
    0 Mitglieder finden den Beitrag gut.
  10. #10
    User Pic
    JohnnyDevNull Mitglied
    Registriert seit
    31.10.2016
    Beiträge
    14
    Beitragswertungen
    0 Beitragspunkte
    Stimmen denn die Berechtigungen auf deiner config.php?

    Kommt hier immer wieder mal zustande von Auto-Generierten Configs, dass die unter www-data generiert werden, dein Webspace aber unter deinem FTP User läuft.

    Das kannst recht einfach mit Filezilla prüfen wenn bei User/Gruppe was ganz anderes wie bei deinen anderen Dateien steht.


    Zuletzt modifiziert von JohnnyDevNull am 12.11.2016 - 03:09:29
    0 Mitglieder finden den Beitrag gut.
  11. #11
    User Pic
    Swamp Mitglied
    Registriert seit
    02.02.2006
    Beiträge
    2.095
    Beitragswertungen
    19 Beitragspunkte
    @JohnnyDevNull: Danke für deinen Hinweis. Kann ich mal prüfen, aber ich glaube ich bin mit dem richtigen Benutzer eingeloggt. Die Berechtigungen waren bei der Installation GRÜN. Die Installation hatte aber nach der Änderung wie von Mairu am Mo, 07. Nov 2016 - 8:11 beschrieben funktioniert.

    Gruß, Swamp
    Wer zuletzt lacht, hat den schlechtesten Ping.
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurück zu Fehlersuche und Probleme

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten